Summary:        Basic perl modules for handling Plain Old Documentation (POD)
Name:           perl-Pod-Parser
Version:        1.66
Release:        4%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Pod-Parser
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MAREKR/Pod-Parser-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  coreutils findutils
BuildRequires:  perl-generators perl-interpreter perl(File::Spec) >= 0.82
BuildRequires:  perl(:VERSION) >= 5.5.0 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Config) perl(Cwd) perl(Exporter)
BuildRequires:  perl(strict) perl(vars) perl(File::Find)
BuildRequires:  perl(File::Basename) perl(FileHandle)
BuildRequires:  perl(Test) perl(Test::More) >= 0.6
Requires:       perl(Config)

BuildArch:      noarch

%description
This module contains information about using Perl5 POD (PlainOld Documentation). 
For more information about POD, you can find it on the "perlpod" and "perlsyn" 
manual pages from your Perl5 distribution

%prep
%autosetup -n Pod-Parser-%{version}
find -type f -exec chmod -x {} +
chmod +x scripts/*
for F in ANNOUNCE CHANGES README TODO; do
    tr -d '\r' < "$F" > "${F}.unix"
    touch -r "$F" "${F}.unix"
    mv "${F}.unix" "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc ANNOUNCE CHANGES README TODO
%{_bindir}/podselect
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.66-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.66-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.66-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.66-1
- Upgrade to upstream version 1.66
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.65-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.65-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Wang Guodong <gordonwwang@tencent.com> - 1.65-1
- package init.
